org.eclipse.rdf4j.repository

## Class RDFStarSupportTest

- java.lang.Object
- - org.eclipse.rdf4j.repository.RDFStarSupportTest

-     @Timeout(value=10L,
               unit=MINUTES)
      public abstract class RDFStarSupportTest
      extends Object

  Test cases for RDF-star support in the Repository.
  Author:
    Jeen Broekstra

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RDFStarSupportTest()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract Repository` | `createRepository()`
    `void` | `setUp()`
    `void` | `tearDown()`
    `void` | `testAddRDFStarContext()`
    `void` | `testAddRDFStarObject()`
    `void` | `testAddRDFStarSubject()`
    `void` | `testRdfStarAddAndRetrieve()`
    `void` | `testRdfStarAddAndRetrieveSparql()`
    `void` | `testRdfStarAddAndRetrieveSparqlSeparateTransaction()`
    `void` | `testSparqlStar()`
    `void` | `testSparqlStarUpdate()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RDFStarSupportTest

          public RDFStarSupportTest()

  - ### Method Detail

    - #### setUp

          @BeforeEach
          public void setUp()
                                 throws Exception

      Throws:
        `Exception`

    - #### tearDown

          @AfterEach
          public void tearDown()
                                   throws Exception

      Throws:
        `Exception`

    - #### testAddRDFStarSubject

          @Test
          public void testAddRDFStarSubject()
                                           throws Exception

      Throws:
        `Exception`

    - #### testAddRDFStarObject

          @Test
          public void testAddRDFStarObject()
                                          throws Exception

      Throws:
        `Exception`

    - #### testAddRDFStarContext

          @Test
          public void testAddRDFStarContext()
                                           throws Exception

      Throws:
        `Exception`

    - #### testSparqlStar

          @Test
          public void testSparqlStar()

    - #### testSparqlStarUpdate

          @Test
          public void testSparqlStarUpdate()

    - #### testRdfStarAddAndRetrieveSparql

          @Test
          public void testRdfStarAddAndRetrieveSparql()
                                                     throws InterruptedException

      Throws:
        `InterruptedException`

    - #### testRdfStarAddAndRetrieveSparqlSeparateTransaction

          @Test
          public void testRdfStarAddAndRetrieveSparqlSeparateTransaction()
                                                                        throws InterruptedException

      Throws:
        `InterruptedException`

    - #### testRdfStarAddAndRetrieve

          @Test
          public void testRdfStarAddAndRetrieve()
                                               throws InterruptedException

      Throws:
        `InterruptedException`

    - #### createRepository

          protected abstract Repository createRepository()

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.